{% extends 'base.html.twig' %}

{% block title %}Hello CalculatorController!{% endblock %}

{% block body %}
<div class="text-center ">
    <h2 class="mt-4 ">Découvrez nos configurations par type</h2>
    <p class="">Sélectionez un type de minage</p>
</div>
<div class="text-center row d-flex justify-content-center ">
    <div class="p-5 col-md-3 ">
        <div class="box">
            <a href="category/gpu"><img src="/img/gpu.png"  alt="..." style="width: 6rem;"></a> 
        </div>
        <h5 class="text-center mt-5">Cartes graphiques</h5>
    </div>

    <div class="p-5  col-md-3 ">
        <div class="box">
            <a href="category/cpu"><img  src="/img/cpu.png"  alt="..." style="width: 6rem;"></a> 
        </div>
        <h5 class="text-center mt-5">Processeur</h5>
    </div>
    
    <div class="p-5  col-md-3  ">
        <div class="box">
            <a href="category/hdd"><img  src="/img/hdd.png"  alt="..." style="width: 6rem;"></a> 
        </div>
        <h5 class="text-center mt-5">Poof of space</h5>
    </div>
</div>


<div class="text-center row d-flex justify-content-center ">
    <h2 class="mt-4 ">Ou découvrez nos composants</h2>
    <p class="">Sélectionez un type de composants</p>
    <div class="p-5 col-md-3 ">
        <div class="box">
            <a href="/component/cartes_graphiques"><img src="/img/gpu.png"  alt="..." style="width: 6rem;"></a> 
        </div>
            <h5 class="text-center mt-5">Cartes graphiques</h5>
    </div>

    <div class="p-5  col-md-3 ">
        <div class="box">
            <a href="/component/processeur"><img  src="/img/cpu.png"  alt="..." style="width: 6rem;"></a> 
        </div>
        <h5 class="text-center mt-5">Processeur</h5>
    </div>
    
    <div class="p-5  col-md-3  ">
        <div class="box">
            <a href="/component/stockage"><img  src="/img/hdd.png"  alt="..." style="width: 6rem;"></a> 
        </div>
        <h5 class="text-center mt-5">Stockage</h5>
    </div>

    <div class="p-5  col-md-3 ">
        <div class="box">
            <a href="/component/cartemere"><img  src="/img/motherboard.png"  alt="..." style="width: 6rem;"></a>
        </div>
        <h5 class="text-center mt-5">Cartes mère</h5> 
    </div>

    <div class="p-5  col-md-3  ">
        <div class="box">
            <a href="/component/allimentations"><img  src="/img/power.png"  alt="..." style="width: 6rem;"></a> 
        </div>
        <h5 class="text-center mt-5">Allimentations</h5>
    </div>

    <div class="p-5  col-md-3  ">
        <div class="box">
            <a href="component/ram"><img  src="/img/ram-memory.png"  alt="..." style="width: 6rem;"></a>
        </div>
        <h5 class="text-center mt-5">Ram</h5> 
    </div>

    <div class="p-5  col-md-3  ">
        <div class="box">
            <a href="/component/accesoires"><img  src="/img/usb-cable.png"  alt="..." style="width: 6rem;"></a>
        </div>
        <h5 class="text-center mt-5">Accessoires</h5> 
    </div>

    <div class="p-5  col-md-3  ">
        <div class="box">
            <a href="/component/rig"><img  src="/img/server.png"  alt="..." style="width: 6rem;"></a> 
        </div>
         <h5 class="text-center mt-5">Structure</h5>
    </div>

    <div class="mb-5 mt-5 d-grid gap-2 col-6 mx-auto">
    {% if app.user %}
        <a href="/config/new" class="btn btn-primary" type="button">Créer votre configuation</a>
    {% else %}
    <a href="#" class="btn btn-primary" type="button">Créer votre configuation</a>
    <p>Vous devez etre <a href="/login">Connecter</a> pour pouvoir créer votre configuation </p> {% endif %}
    </div>
</div>
    

{% endblock %}